TP-Link CPE210 v2 - Gluon Support


#101

Ja, eventuell mal -j6 weg lassen und schauen ob dann bessere Ergebnisse herausgekommen.


#102

Na toll, jetzt wird es immer schlimmer :frowning:

----------------8<-----------------
wget https://github.com/FreifunkVogtland/gluon/commit/ffa5a6526f319a43fbe9d0c7721e3c7b87d43dac.patch -O cpe210v2.patch

git am cpe210v2.patch

Applying: ar71xx-generic: add experimental support for TP-Link CPE210 v2
/Daten/Freifunk/gluon.17/.git/rebase-apply/patch:62: space before tab in indent.
ucidef_set_led_rssi “rssimediumhigh” “RSSIMEDIUMHIGH” “tp-link:green:link3” “wlan0” “51” “100” “-50” “13”
/Daten/Freifunk/gluon.17/.git/rebase-apply/patch:63: space before tab in indent.
ucidef_set_led_rssi “rssihigh” “RSSIHIGH” “tp-link:green:link4” “wlan0” “76” “100” “-75” “13”
/Daten/Freifunk/gluon.17/.git/rebase-apply/patch:64: space before tab in indent.
;;
/Daten/Freifunk/gluon.17/.git/rebase-apply/patch:74: space before tab in indent.
ucidef_set_led_netdev “wan” “WAN” “pcs:blue:wan” “eth1”
/Daten/Freifunk/gluon.17/.git/rebase-apply/patch:75: space before tab in indent.
ucidef_set_led_switch “lan1” “LAN1” “pcs:blue:lan1” “switch0” “0x04”
error: docs/index.rst: does not match index
error: package/gluon-core/luasrc/lib/gluon/upgrade/020-interfaces: does not match index
error: package/gluon-setup-mode/luasrc/lib/gluon/upgrade/320-setup-ifname: does not match index
error: patches/lede/0045-Add-support-for-CPE210-v2.patch: already exists in index
error: targets/ar71xx-generic: does not match index
Patch failed at 0001 ar71xx-generic: add experimental support for TP-Link CPE210 v2
The copy of the patch that failed is found in:
/Daten/Freifunk/gluon.17/.git/rebase-apply/patch
When you have resolved this problem, run “git am --continue”.
------------------------->8-----------------

Das ist mir echt so blöd!


#103

Kann Deinen Frust verstehen aber es gibt halt noch keinen “offiziellen” Support und andere Zweige mit Master zu kombinieren kann halt Fehler produzieren. Könnte auch lokal bei Dir liegen das Problem (“already exists in index”).

Du kannst ja entweder abwarten bis der Patch im Gluon Master landet oder Du probierst es mit Durchfragen z.B. im IRC.


#104

naja, vermutlich hast du den Patch ein zweites mal auf das gleiche Verzeichnis angewendet?

Habe mal versucht mit deiner Site-Configuration zu bauen. Bekomme die gleichen Fehler…

Makefile:93: die Regel für Ziel „config“ scheiterte
make: *** [config] Fehler 1

…das passiert auch ohne den Patch. Bitte überarbeite die Site-Configuration. Ich kann dir bei dem Thema nicht kompetent weiterhelfen.


#105

Zumindest fehlen die i18n Einstellungen komplett und ob es mit Key Platzhaltern funktioniert? Irgendwie sieht die site recht unfertig aus.


#106

Das ist auch nur ein Template, nicht die tatsächliche site.conf :wink:


#107

Ich habe die site.conf und site.mk noch mal gecheckt. Passt.

Ich habe dann noch mal alles gelöscht und noch mal von null ein “make update” und “make update-patch” auf ein neues git clone der 2017.1.5 gemacht.
Nun läuft’s soweit schon mal ohne den Patch… jubel

Und tata

Es läuft jetzt auch mit dem Patch :slight_smile:

Vielen Dank Euch!


#108

Also kann man auf baldige offizielle Firmwares hoffen?


#109

kommt darauf an, was du für “offiziell” hältst.
Bei Gluon kommt hier vorerst sicher nichts, da es noch nicht in OpenWrt drin ist, wie hier schon angesprochen wurde.
Ob eine Community auf solche Grundsätze pfeift und es bei sich selbst einbaut, wirst du dann beobachten.


#110

Also dieser Patch liefert für die 510 V2 keine Firmware.bin aus…
Sieht nicht gut aus :frowning:

Ich habe noch 510 mit alter Version, die ich abtreten könnte, wenn dir das weiterhilft :expressionless:


#111

5GHZ Outdoor ist eh ein Thema für sich (u.a. Wetterradar)
=> Suchergebnisse für '5ghz' - Freifunk Forum

Egal laut Betreff geht es hier ja auch um die CPE210V2 (2,4 GHZ)


#112

Es sieht so aus, als hätte Freifunk Berlin die OpenWrt-Patches schon in ihren Gluon-Branch aufgenommen: patches: add support for CPE210v2 · freifunk-berlin/firmware@65ca28e · GitHub
Vielleicht funktioniert der Patch ja auch für andere zum Experimentieren.


#113
  1. das ist kein Gluon
  2. ein Patch muss relativ exakt zur selbst eingesetzten OpenWrt-Version passen, irgendeinen zu nehmen kann also schiefgehen

#114

In OpenWrt wurde die Unterstützung für die CPE210 v2 nun eingefügt.
Somit kann sie dann auch in Gluon eingereicht werden von jemandem, der eine hat und weiß wie er das machen kann.

EDIT:
Gluon Pull request ist da, es fehlt noch ausführliches testen: ar71xx: Add support for TP-Link CPE210 v2 by ecsv · Pull Request #1445 · freifunk-gluon/gluon · GitHub

EDIT2:
Der PR wurde gemerged, die CPE210 v2 wird somit in Gluon v2018.1 unterstützt werden.


#115

danke für die tollen Tipps! der Vollständigkeit wegen hier auch von mir noch wie ich die Firmware für die aktuelle 2018.1 erstellt habe:

git clone https://github.com/freifunk-gluon/gluon.git gluon -b v2018.1
cd gluon
mkdir site
cd site
git init
cp …/docs/site-example/site.mk .
cp -r …/docs/site-example/i18n .
cd …

im “site” Verzeichnis muss noch die site.conf der eigenen community abgelegt werden. Achtung: einige Parameter haben sich seit der 2016.1 geändert, sind aber nur sehr wenige und der Umbau ist überschaubar (Doku zu finden hier Site configuration — Gluon 2017.1.8 documentation)

make update
make V=s GLUON_BRANCH=“stable” GLUON_TARGET=“ar71xx-generic” DEVICES=“tp-link-cpe210-v2.0” -j4